package com.yonge.cooleshow.biz.dal.entity;

import com.yonge.toolset.base.enums.BaseEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_user_contracts):
 */
public class SysUserContracts {

	public enum ContractType implements BaseEnum<String, ContractType> {

		REGISTER("注册"),
		COURSES("课程购买"),
		PRODUCT("产品");

		private String desc;

		private ContractType(String desc) {
			this.desc = desc;
		}

		@Override
		public String getCode() {
			return name();
		}

		public String getDesc() {
			return desc;
		}
	}

	/**  */
	private Long id;

	/**  */
	private Long userId;

	/** 合同号 */
	private String contractNo;

	/** 协议类型 */
	private ContractType type;

	/** 协议地址 */
	private String url;

	/** 备注 */
	private String memo;

	private Integer version;

	/** 创建时间 */
	private java.util.Date createTime;

	public Integer getVersion() {
		return version;
	}

	public void setVersion(Integer version) {
		this.version = version;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return this.id;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public Long getUserId() {
		return this.userId;
	}

	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}

	public String getContractNo() {
		return this.contractNo;
	}

	public void setType(ContractType type) {
		this.type = type;
	}

	public ContractType getType() {
		return this.type;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getUrl() {
		return this.url;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getMemo() {
		return this.memo;
	}

	public void setCreateTime(java.util.Date createTime) {
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime() {
		return this.createTime;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
